Subject: Re: [Mud] [OPSAWG] changes to draft-richardson-opsawg-mud-acceptable-urls-02.txt

From: Michael Richardson <[email-masked]>
Date: Tue, 22 Sep 2020 21:38:00 -0400

I have updated draft-richardson-opsawg-mud-acceptable-urls.
Here is a copy of my post to [email-masked], which is presently where MUD work is
supposed to happen.  (unless something happens soon to change that)

Your comments CC to that list would be appreciated.

I would welcome co-authors, particularly those with experience operationg DNS
servers for Content Distrbution Networks.  There are a few places where I was
unable to find a good reference.  One relates to IP address literals in
protocols, which I thought BEHAVE had a document on, but I didn't find the
right place last time.

Archived-At: <https://mailarchive.ietf.org/arch/msg/opsawg/O89HJxL9OX-YkB5gWj-fqYV1G2U>
Subject: [OPSAWG] changes to  draft-richardson-opsawg-mud-acceptable-urls-02.txt

draft-richardson-opsawg-mud-acceptable-urls-00.txt was first discussed at
IETF107, our "first" virtual IETF.
The slides are at:
https://www.ietf.org/proceedings/interim-2020-opsawg-01/slides/slides-interim-2020-opsawg-01-sessa-authorized-update-to-mud-urls-mud-acceptable-urls-00

I hope that the WG will consider adopting this document.

I had suggested a few different ways to do things.
Eliot suggested that I stick to common prefix of MUD URL, and asked to be an
author, and I did that in -01.  I have just done an editorial pass through
the document.  The diffs make for interesting read, but there are no
significant technical changes.

This document updates RFC8520 is a subtle semantic way: MUD controllers are
being built now which should probably take this into account.
The changes to semantics of the URL need to be taken into account by those
hosting MUD files, but it's an easy and sensible way to organize things.

The abstract could use some wordsmithing, and I would welcome edits.
Dang, I forgot to include the github URL: https://github.com/mcr/iot-mud-acceptable-urls

Name:		draft-richardson-opsawg-mud-acceptable-urls
Revision:	02
Title:		Authorized update to MUD URLs
Document date:	2020-09-22
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/id/draft-richardson-opsawg-mud-acceptable-urls-02.txt
Status:         https://datatracker.ietf.org/doc/draft-richardson-opsawg-mud-acceptable-urls/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-richardson-opsawg-mud-acceptable-urls
Htmlized:       https://tools.ietf.org/html/draft-richardson-opsawg-mud-acceptable-urls-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-opsawg-mud-acceptable-urls-02

Abstract:
   This document provides a way for an RFC8520 Manufacturer Usage
   Description (MUD) definitions to declare what are acceptable
   replacement URLs for a device.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide